#ifndef ACTIVITY_WIDGET_H
#define ACTIVITY_WIDGET_H

#include <QtGui>
#include "ui_activityWidget.h"

///This widgets displayes current game activity.
class ActivityWidget : public QWidget {
	Q_OBJECT

private:
	Ui::ActivityWidget ui_;
public:
	ActivityWidget(QWidget * parent) : QWidget(parent) {
		ui_.setupUi(this);
	}

	void setActivity(const std::wstring & value) {
		ui_.activeLabel->setText(QString::fromUtf16(value.c_str()));
	} /**< Sets and shows game activity. */
};

#endif